# shape_maker

Mostly a working level editor, why should you use it? because it exists and allows to make levels without tilemaps...

## Usage

Left mouse click for mostly everything, when creating a shape you it will build the shape as you go(giving you a visual indicator).

If you want to cancel a shape mid-build you can right click to undo the shape

When an item is selected in the items tree window(will be written in gold), clicking `X` will delete it

## TODO

- [x] Pick default color for shapes
- [ ] Undo/Redo history(roughly 50%)
- [ ] Select item by clicking/double clicking on the relevant shape/image

## Quality of life todo

- [ ] Double click on shape in tree view will center the relevant shape
- [ ] Grab shapes instead of center points
- [ ] Reorder items tree
- [ ] Allow for more types of export/import
- [ ] Allow to set a relative export path for images(also allow to select when importing/save it in the saved file)
- [ ] Group shapes/images under an empty/another object with an actual tree view

## Maybe, just maybe todo

- [ ] Duplicate shapes/images
